diff --git a/base/kra/src/com/netscape/kra/EnrollmentService.java b/base/kra/src/com/netscape/kra/EnrollmentService.java
index 2f3e1dd7a3d70fc76b95d3069085bfebfdfd7c3d..22400cf6730d12bdaf2aa313bef3d57e0170bb68 100644
--- a/base/kra/src/com/netscape/kra/EnrollmentService.java
+++ b/base/kra/src/com/netscape/kra/EnrollmentService.java
@@ -21,8 +21,8 @@ import java.io.ByteArrayInputStream;
 import java.io.IOException;
 import java.math.BigInteger;
 import java.security.InvalidKeyException;
-import java.security.cert.CertificateException;
 import java.security.PublicKey;
+import java.security.cert.CertificateException;
 import java.util.Arrays;
 import java.util.StringTokenizer;
 import java.util.Vector;
@@ -37,15 +37,11 @@ import netscape.security.x509.CertificateX509Key;
 import netscape.security.x509.X509CertInfo;
 import netscape.security.x509.X509Key;
 
-import org.mozilla.jss.CryptoManager;
 import org.mozilla.jss.asn1.ASN1Util;
 import org.mozilla.jss.asn1.ASN1Value;
 import org.mozilla.jss.asn1.InvalidBERException;
 import org.mozilla.jss.asn1.OBJECT_IDENTIFIER;
 import org.mozilla.jss.asn1.SEQUENCE;
-import org.mozilla.jss.crypto.PrivateKey;
-import org.mozilla.jss.pkcs11.PK11ECPublicKey;
-import org.mozilla.jss.pkcs11.PK11ParameterSpec;
 import org.mozilla.jss.pkix.crmf.CertReqMsg;
 import org.mozilla.jss.pkix.crmf.CertRequest;
 import org.mozilla.jss.pkix.crmf.PKIArchiveOptions;
@@ -57,8 +53,8 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.MetaInfo;
 import com.netscape.certsrv.base.SessionContext;
-import com.netscape.certsrv.dbs.keydb.IKeyRepository;
 import com.netscape.certsrv.dbs.keydb.IKeyRecord;
+import com.netscape.certsrv.dbs.keydb.IKeyRepository;
 import com.netscape.certsrv.kra.EKRAException;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.kra.ProofOfArchival;
@@ -73,7 +69,6 @@ import com.netscape.certsrv.util.IStatsSubsystem;
 import com.netscape.cms.servlet.key.KeyRecordParser;
 import com.netscape.cmscore.crmf.CRMFParser;
 import com.netscape.cmscore.crmf.PKIArchiveOptionsContainer;
-import com.netscape.kra.ArchiveOptions;
 import com.netscape.cmscore.dbs.KeyRecord;
 import com.netscape.cmsutil.util.Utils;
 
@@ -106,15 +101,10 @@ public class EnrollmentService implements IService {
     private IStorageKeyUnit mStorageUnit = null;
     private ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
 
-    private final static byte EOL[] = { Character.LINE_SEPARATOR };
     private final static String LOGGING_SIGNED_AUDIT_PRIVATE_KEY_ARCHIVE_REQUEST =
             "LOGGING_SIGNED_AUDIT_PRIVATE_KEY_ARCHIVE_REQUEST_4";
     private final static String LOGGING_SIGNED_AUDIT_PRIVATE_KEY_ARCHIVE_REQUEST_PROCESSED =
             "LOGGING_SIGNED_AUDIT_PRIVATE_KEY_ARCHIVE_REQUEST_PROCESSED_3";
-    private final static String LOGGING_SIGNED_AUDIT_KEY_RECOVERY_REQUEST =
-            "LOGGING_SIGNED_AUDIT_KEY_RECOVERY_REQUEST_4";
-    private final static String LOGGING_SIGNED_AUDIT_KEY_RECOVERY_REQUEST_PROCESSED =
-            "LOGGING_SIGNED_AUDIT_KEY_RECOVERY_REQUEST_PROCESSED_4";
 
     /**
      * Constructs request processor.
@@ -151,12 +141,10 @@ public class EnrollmentService implements IService {
      */
     public boolean serviceRequest(IRequest request)
             throws EBaseException {
-        CryptoManager cm = null;
         IConfigStore config = null;
         Boolean allowEncDecrypt_archival = false;
 
         try {
-            cm = CryptoManager.getInstance();
             config = CMS.getConfigStore();
             allowEncDecrypt_archival = config.getBoolean("kra.allowEncDecrypt.archival", false);
         } catch (Exception e) {
@@ -307,7 +295,7 @@ public class EnrollmentService implements IService {
                         opts.getSymmAlgOID(),
                         opts.getSymmAlgParams(),
                         opts.getEncValue(),
-                        (PublicKey) pubkey);
+                        pubkey);
             } // !allowEncDecrypt_archival
 
             /* Bugscape #54948 - verify public and private key before archiving key */
@@ -398,19 +386,6 @@ public class EnrollmentService implements IService {
                     privateKeyData, owner,
                     publicKey.getAlgorithmId().getOID().toString(), agentId);
 
-            if (rec == null) {
-
-                auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_PRIVATE_KEY_ARCHIVE_REQUEST,
-                        auditSubjectID,
-                        ILogger.FAILURE,
-                        auditRequesterID,
-                        auditArchiveID);
-
-                audit(auditMessage);
-                throw new EKRAException(CMS.getUserMessage("CMS_KRA_INVALID_KEYRECORD"));
-            }
-
             if (keyAlg.equals("RSA")) {
                 try {
                     RSAPublicKey rsaPublicKey = new RSAPublicKey(publicKeyData);
@@ -458,7 +433,7 @@ public class EnrollmentService implements IService {
                     oidDescription);
 
                 rec.set(IKeyRecord.ATTR_META_INFO, metaInfo);
-                // key size does not apply to EC; 
+                // key size does not apply to EC;
                 rec.setKeySize(-1);
             }
 
diff --git a/base/kra/src/com/netscape/kra/KRANotify.java b/base/kra/src/com/netscape/kra/KRANotify.java
index ccf8e664f53498b4c16cca300c4b510b60869902..a97724e6f4a6f93b5891b45406465641fc0f4c60 100644
--- a/base/kra/src/com/netscape/kra/KRANotify.java
+++ b/base/kra/src/com/netscape/kra/KRANotify.java
@@ -29,7 +29,8 @@ import com.netscape.certsrv.request.ARequestNotifier;
  * @version $Revision$, $Date$
  */
 public class KRANotify extends ARequestNotifier {
-    private IKeyRecoveryAuthority mKRA = null;
+    @SuppressWarnings("unused")
+    private IKeyRecoveryAuthority mKRA;
 
     /**
      * default constructor
diff --git a/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java b/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
index 09f7658775399da890ec0bcfa664602085262853..6579261f6e37aeebe77ce4b6d497a4e07bb0f34d 100644
--- a/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
+++ b/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
@@ -96,7 +96,6 @@ public class KeyRecoveryAuthority implements IAuthority, IKeyService, IKeyRecove
     private static final String PARAM_LOCK = "lock";
     private static final String PARAM_PK12 = "pk12";
     private static final String PARAM_ERROR = "error";
-    private static final String PARAM_AGENT = "agent";
 
     private final static String KEY_RESP_NAME = "keyRepository";
     private static final String PROP_REPLICAID_DN = "dbs.replicadn";
diff --git a/base/ocsp/src/com/netscape/ocsp/OCSPAuthority.java b/base/ocsp/src/com/netscape/ocsp/OCSPAuthority.java
index 348a1b2f84cc2e83be0db9d48283e7d39a009de3..836907dac66c52f6f539c57585e9daadf7e0812b 100644
--- a/base/ocsp/src/com/netscape/ocsp/OCSPAuthority.java
+++ b/base/ocsp/src/com/netscape/ocsp/OCSPAuthority.java
@@ -76,7 +76,6 @@ import com.netscape.cmsutil.ocsp.ResponseData;
  */
 public class OCSPAuthority implements IOCSPAuthority, IOCSPService, ISubsystem, IAuthority {
 
-    private long mServedRequests = 0;
     private long mServedTime = 0;
 
     public final static OBJECT_IDENTIFIER OCSP_NONCE = new OBJECT_IDENTIFIER("1.3.6.1.5.5.7.48.1.2");
@@ -361,7 +360,6 @@ public class OCSPAuthority implements IOCSPAuthority, IOCSPService, ISubsystem,
         OCSPResponse response = mDefStore.validate(request);
         long endTime = (CMS.getCurrentDate()).getTime();
 
-        mServedRequests++;
         mServedTime = mServedTime + (endTime - startTime);
         return response;
     }
diff --git a/base/ocsp/src/com/netscape/ocsp/SigningUnit.java b/base/ocsp/src/com/netscape/ocsp/SigningUnit.java
index 4b6e7da75c5017fd320f23b9b7931519d588c525..0413f0c5c221781d7990a214ebf5f981808eb48f 100644
--- a/base/ocsp/src/com/netscape/ocsp/SigningUnit.java
+++ b/base/ocsp/src/com/netscape/ocsp/SigningUnit.java
@@ -73,7 +73,8 @@ public final class SigningUnit implements ISigningUnit {
     private ILogger mLogger = CMS.getLogger();
     private IConfigStore mConfig;
 
-    private ISubsystem mOwner = null;
+    @SuppressWarnings("unused")
+    private ISubsystem mOwner;
 
     private String mDefSigningAlgname = null;
     private SignatureAlgorithm mDefSigningAlgorithm = null;
diff --git a/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java b/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java
index c74cd94c61b7c2a516c69826d10a80ff380f9308..cddb630da1fe993114384d1292c3c39fe6746c8e 100644
--- a/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java
+++ b/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java
@@ -41,7 +41,7 @@ import netscape.ldap.LDAPv2;
 
 public class CMSLDAP {
 
-    private String HOST, DN, BASEDN, PASSWORD;
+    private String HOST, DN, PASSWORD;
     private int PORT;
 
     private LDAPConnection conn = new LDAPConnection();
diff --git a/base/silent/src/com/netscape/pkisilent/common/CMSTask.java b/base/silent/src/com/netscape/pkisilent/common/CMSTask.java
index 948076fd6c2b1791d4cbd50555406cce97f0cda0..953dcd25d987428cb5338f172120c4de7ea8684d 100644
--- a/base/silent/src/com/netscape/pkisilent/common/CMSTask.java
+++ b/base/silent/src/com/netscape/pkisilent/common/CMSTask.java
@@ -33,7 +33,6 @@ import com.netscape.pkisilent.argparser.StringHolder;
 public class CMSTask {
 
     private static String operation;
-    private static String debug;
     private static String serverRoot;
     private Process p = null;
 
diff --git a/base/silent/src/com/netscape/pkisilent/common/ComCrypto.java b/base/silent/src/com/netscape/pkisilent/common/ComCrypto.java
index d1941ca30de8ca3eb46e777ae3b3533e50050b9f..e36966de18b17b391723b495ecb5b406bc58e881 100644
--- a/base/silent/src/com/netscape/pkisilent/common/ComCrypto.java
+++ b/base/silent/src/com/netscape/pkisilent/common/ComCrypto.java
@@ -57,6 +57,7 @@ import org.mozilla.jss.pkix.primitive.AlgorithmIdentifier;
 import org.mozilla.jss.pkix.primitive.Name;
 import org.mozilla.jss.pkix.primitive.SubjectPublicKeyInfo;
 import org.mozilla.jss.util.Password;
+
 import com.netscape.cmsutil.util.Utils;
 
 /**
@@ -67,7 +68,9 @@ import com.netscape.cmsutil.util.Utils;
 public class ComCrypto {
 
     private String cdir, certnickname, keysize, keytype, tokenpwd;
-    private String certpackage, pkcs10request;
+    @SuppressWarnings("unused")
+    private String certpackage;
+    private String pkcs10request;
     private boolean debug = true;
     private boolean DBlogin = false;
     private boolean generaterequest = false;
@@ -82,7 +85,6 @@ public class ComCrypto {
     public static CryptoManager manager;
     public static CryptoToken token;
     private CryptoStore store;
-    private Password pass1 = null, pass2 = null;
 
     private String bstr = "-----BEGIN NEW CERTIFICATE REQUEST-----";
     private String blob, Blob1 = null;
diff --git a/base/silent/src/com/netscape/pkisilent/common/Con2Agent.java b/base/silent/src/com/netscape/pkisilent/common/Con2Agent.java
index bfaf1eb34e2da786b4aa20d54b0675b35809536a..6d02fcd339dd1ded7a2a6af46f3afbc63f479e64 100644
--- a/base/silent/src/com/netscape/pkisilent/common/Con2Agent.java
+++ b/base/silent/src/com/netscape/pkisilent/common/Con2Agent.java
@@ -42,11 +42,12 @@ import org.mozilla.jss.util.Password;
 public class Con2Agent implements SSLClientCertificateSelectionCallback,
         SSLCertificateApprovalCallback {
 
-    private int i, port;
-    private String host, certdir, certnickname, tokenpwd, certname, query;
+    private int port;
+    @SuppressWarnings("unused")
+    private String certname;
+    private String host, certdir, certnickname, tokenpwd, query;
     private String ACTIONURL;
 
-    private BufferedReader stdin = null;
     private StringBuffer stdout = new StringBuffer();
 
     public Con2Agent() {
diff --git a/base/silent/src/com/netscape/pkisilent/common/DirEnroll.java b/base/silent/src/com/netscape/pkisilent/common/DirEnroll.java
index de331989b7697231ab5ff706f4e5e67bb0e2034a..809a65c5be0ee4ec6c55b1691333eb4fd9aa517c 100644
--- a/base/silent/src/com/netscape/pkisilent/common/DirEnroll.java
+++ b/base/silent/src/com/netscape/pkisilent/common/DirEnroll.java
@@ -38,13 +38,12 @@ import org.mozilla.jss.ssl.SSLSocket;
 
 public class DirEnroll extends TestClient {
 
-    private int i;
     private String Authenticator = "UserDir";
     private int port;
+    @SuppressWarnings("unused")
     private long elapsedTime;
 
     private String importcert = "false";
-    private boolean impStatus = false;
 
     // Constructors
 
@@ -323,11 +322,7 @@ public class DirEnroll extends TestClient {
                         baseCert = baseCert.substring(n);
                         String tmp = baseCert.substring(0, baseCert.length() - 2);
 
-                        if (importCert(tmp)) {
-                            impStatus = true;
-                        }
-                    } else {
-                        impStatus = true;
+                        importCert(tmp);
                     }
                 }
 
diff --git a/base/silent/src/com/netscape/pkisilent/common/Request.java b/base/silent/src/com/netscape/pkisilent/common/Request.java
index 7ee443f16139aed9a60e1e37c0f7274412da61ae..e0255ef59e771a0e42900ee83f274aba8bcc1a74 100644
--- a/base/silent/src/com/netscape/pkisilent/common/Request.java
+++ b/base/silent/src/com/netscape/pkisilent/common/Request.java
@@ -52,9 +52,35 @@ public class Request extends TestClient {
 
     // Cert Detail variables
 
-    private String csrRequestorName, csrRequestorPhone, csrRequestorEmail, subject, subjectdn, reqStatus, certType;
-    private String requestType, requestID, sslclient, clientcert, servercert, emailcert, objectsigningcert, sslcacert,
-            objectsigningcacert, emailcacert, sigAlgo, totalRecord, validitylength, trustedManager;
+    private String csrRequestorName;
+    private String csrRequestorPhone;
+    private String csrRequestorEmail;
+    private String subject;
+    private String subjectdn;
+    private String reqStatus;
+    @SuppressWarnings("unused")
+    private String certType;
+    @SuppressWarnings("unused")
+    private String requestType;
+    private String requestID;
+    @SuppressWarnings("unused")
+    private String sslclient;
+    private String clientcert;
+    private String servercert;
+    private String emailcert;
+    private String objectsigningcert;
+    @SuppressWarnings("unused")
+    private String sslcacert;
+    @SuppressWarnings("unused")
+    private String objectsigningcacert;
+    @SuppressWarnings("unused")
+    private String emailcacert;
+    private String sigAlgo;
+    @SuppressWarnings("unused")
+    private String totalRecord;
+    @SuppressWarnings("unused")
+    private String validitylength;
+    private String trustedManager;
 
     private int totalNumApproved = 0;
 
diff --git a/base/silent/src/com/netscape/pkisilent/common/ServerInfo.java b/base/silent/src/com/netscape/pkisilent/common/ServerInfo.java
index 5eccb1601fda6e192dfd688c0d6ad5d374234144..7ff7617206f6b50660ab5b94accda6b7ec97c9e2 100644
--- a/base/silent/src/com/netscape/pkisilent/common/ServerInfo.java
+++ b/base/silent/src/com/netscape/pkisilent/common/ServerInfo.java
@@ -42,7 +42,6 @@ public class ServerInfo {
     public static CMSProperties CMSprops = null;
 
     // Private variables
-    private int i;
     public String CMSConfigFile, AdminConfigFile;
 
     public ServerInfo() {
diff --git a/base/silent/src/com/netscape/pkisilent/common/TestClient.java b/base/silent/src/com/netscape/pkisilent/common/TestClient.java
index a58e88bd1a9fa06e72aa34724d9331008343a35a..f3d96085df64db2653085b1e49e66a291d0bfa07 100644
--- a/base/silent/src/com/netscape/pkisilent/common/TestClient.java
+++ b/base/silent/src/com/netscape/pkisilent/common/TestClient.java
@@ -48,7 +48,6 @@ public class TestClient implements SSLCertificateApprovalCallback {
     public String query;
     public boolean debug = false;
     // Certificate nicknames to be used by Test Clients
-    private int i;
     private String testConfigFile;
 
     public String caAgentCertName = "ca-agent";
@@ -62,6 +61,7 @@ public class TestClient implements SSLCertificateApprovalCallback {
     private String admDN = "admin";
     private String admDNPW = "admin";
     private String TmpDir;
+    @SuppressWarnings("unused")
     private String TestLogFile;
     private String startupTests, cleanupTests;
 
diff --git a/base/silent/src/com/netscape/pkisilent/common/UserEnroll.java b/base/silent/src/com/netscape/pkisilent/common/UserEnroll.java
index 123054503776ca9f6ca8068e4c65ed27700572f0..3f7f9279129199893dd378056e26932512dd7470 100644
--- a/base/silent/src/com/netscape/pkisilent/common/UserEnroll.java
+++ b/base/silent/src/com/netscape/pkisilent/common/UserEnroll.java
@@ -38,9 +38,9 @@ import org.mozilla.jss.ssl.SSLSocket;
 
 public class UserEnroll extends TestClient {
 
-    private int i;
     private String requestorName, requestorEmail, requestorPhone, requestorComments, requestId, certType, ssl_client;
     private int port;
+    @SuppressWarnings("unused")
     private long elapsedTime;
 
     // Constructor
diff --git a/base/silent/src/com/netscape/pkisilent/common/checkRequest.java b/base/silent/src/com/netscape/pkisilent/common/checkRequest.java
index 8acbf1ca7c4b953aa7f5962342f981576b390dc4..e785657c083f98a3c8ddb6bcf14c62f35a3f9b4f 100644
--- a/base/silent/src/com/netscape/pkisilent/common/checkRequest.java
+++ b/base/silent/src/com/netscape/pkisilent/common/checkRequest.java
@@ -38,16 +38,15 @@ import org.mozilla.jss.ssl.SSLSocket;
 
 public class checkRequest extends TestClient {
 
-    private int i;
     private String certfile, importcert = "false", certnickname, serialNumber, ldapformat;
 
     private String requestId;
     private String reqStatus = "false";
     private String pkcsCert, baseCert, ACTION_STRING, issuer, subject, AUTH = "ca";
     private int port;
-    private boolean impStatus = false;
     private int type = 1;
 
+    @SuppressWarnings("unused")
     private long elapsedTime;
 
     private String host;
@@ -438,8 +437,6 @@ public class checkRequest extends TestClient {
 
             GregorianCalendar begin = new GregorianCalendar();
 
-            impStatus = false;
-
             // SSLSocket socket = new SSLSocket(host,port);
             SSLSocket socket = new SSLSocket(host, port, null, 0, this, null);
 
diff --git a/base/tks/src/com/netscape/tks/TKSAuthority.java b/base/tks/src/com/netscape/tks/TKSAuthority.java
index 836dc7959ba1016172634124d41944ef52beef93..cfb1b1fdfa82eccb5f7ce96f306356c98722e9c0 100644
--- a/base/tks/src/com/netscape/tks/TKSAuthority.java
+++ b/base/tks/src/com/netscape/tks/TKSAuthority.java
@@ -29,6 +29,7 @@ import com.netscape.certsrv.request.IRequestQueue;
 public class TKSAuthority implements IAuthority, ISubsystem {
     protected ILogger mLogger = CMS.getLogger();
     private String mNickname = null;
+    @SuppressWarnings("unused")
     private ISubsystem mOwner;
     private IConfigStore mConfig = null;
     protected String mId = null;
diff --git a/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java b/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
index 82a98c08287a7831740a829d8fad18b95c291d02..c8402b2ca69ece9801fa14399f3b7b1a1e18ca3d 100644
--- a/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
+++ b/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
@@ -1215,7 +1215,6 @@ public class CryptoUtil {
         return certs;
     }
 
-    @SuppressWarnings("deprecation")
     public static String unwrapUsingPassphrase(String wrappedRecoveredKey, String recoveryPassphrase)
             throws IOException, InvalidBERException, InvalidKeyException, IllegalStateException,
             NoSuchAlgorithmException, InvalidAlgorithmParameterException, NotInitializedException, TokenException,
@@ -1244,7 +1243,6 @@ public class CryptoUtil {
         return unwrappedData;
     }
 
-    @SuppressWarnings("deprecation")
     public static String unwrapUsingSymmetricKey(CryptoToken token, IVParameterSpec IV, byte[] wrappedRecoveredKey,
             SymmetricKey recoveryKey, EncryptionAlgorithm alg) throws NoSuchAlgorithmException, TokenException,
             BadPaddingException,
@@ -1258,7 +1256,6 @@ public class CryptoUtil {
         return unwrappedS;
     }
 
-    @SuppressWarnings("deprecation")
     public static byte[] wrapPassphrase(CryptoToken token, String passphrase, IVParameterSpec IV, SymmetricKey sk,
             EncryptionAlgorithm alg)
             throws NoSuchAlgorithmException, TokenException, InvalidKeyException,
@@ -1289,7 +1286,6 @@ public class CryptoUtil {
         return session_data;
     }
 
-    @SuppressWarnings("deprecation")
     public static byte[] createPKIArchiveOptions(CryptoManager manager, CryptoToken token, String transportCert,
             SymmetricKey vek, String passphrase, KeyGenAlgorithm keyGenAlg, IVParameterSpec IV) throws TokenException,
             CharConversionException,
diff --git a/base/util/src/com/netscape/cmsutil/ocsp/UnknownInfo.java b/base/util/src/com/netscape/cmsutil/ocsp/UnknownInfo.java
index 6343fd805a1fc2c2c8eb5fc93e0bae910ec11d46..7a9afec616a0b78174a2ea0ce84eb6b21f238947 100644
--- a/base/util/src/com/netscape/cmsutil/ocsp/UnknownInfo.java
+++ b/base/util/src/com/netscape/cmsutil/ocsp/UnknownInfo.java
@@ -66,8 +66,6 @@ public class UnknownInfo implements CertStatus {
      */
     public static class Template implements ASN1Template {
 
-        private SEQUENCE.Template seqt;
-
         public Template() {
             //                     seqt = new SEQUENCE.Template();
             //                    seqt.addElement(new NULL.Template() );
diff --git a/base/util/src/com/netscape/cmsutil/radius/CHAPPasswordAttribute.java b/base/util/src/com/netscape/cmsutil/radius/CHAPPasswordAttribute.java
index 3f0ef1793089117ca3f4da84ab034b052a266c6c..11cdd001e59a68e982b953b4f80d11e8630b05a8 100644
--- a/base/util/src/com/netscape/cmsutil/radius/CHAPPasswordAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/CHAPPasswordAttribute.java
@@ -20,7 +20,6 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class CHAPPasswordAttribute extends Attribute {
-    private byte _value[] = null;
     private int _ident = 0;
     private String _str = null;
 
@@ -33,7 +32,6 @@ public class CHAPPasswordAttribute extends Attribute {
         _t = CHAP_PASSWORD;
         _ident = value[2];
         _str = new String(value, 2, 16);
-        _value = value;
     }
 
     public int getIdent() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/CallbackIdAttribute.java b/base/util/src/com/netscape/cmsutil/radius/CallbackIdAttribute.java
index 5fd8060037b0aa7ee488f8cb98720e675e506df7..0e1ae66a63b07294817e893e775958d788f8c8b1 100644
--- a/base/util/src/com/netscape/cmsutil/radius/CallbackIdAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/CallbackIdAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class CallbackIdAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public CallbackIdAttribute(byte value[]) {
         super();
         _t = CALLBACK_ID;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/CallbackNumberAttribute.java b/base/util/src/com/netscape/cmsutil/radius/CallbackNumberAttribute.java
index d6e45cecde637b092d7f8bd0338124778cfc3488..bcaf234846670ca01e0e90eda739f82533637f87 100644
--- a/base/util/src/com/netscape/cmsutil/radius/CallbackNumberAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/CallbackNumberAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class CallbackNumberAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public CallbackNumberAttribute(byte value[]) {
         super();
         _t = CALLBACK_NUMBER;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/CallerStationIdAttribute.java b/base/util/src/com/netscape/cmsutil/radius/CallerStationIdAttribute.java
index 3b5eec8043e2258b77d88388a0db66f69f8d182f..8ce1272eb3a69afb7d6b1c83028955877db9d348 100644
--- a/base/util/src/com/netscape/cmsutil/radius/CallerStationIdAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/CallerStationIdAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class CallerStationIdAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public CallerStationIdAttribute(byte value[]) {
         super();
         _t = CALLER_STATION_ID;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/CallingStationIdAttribute.java b/base/util/src/com/netscape/cmsutil/radius/CallingStationIdAttribute.java
index 9a57f808999e03abcd4e65744541bd7ee4f7c42c..cb562afdafd4698c3739b0b5a0ef1be922130652 100644
--- a/base/util/src/com/netscape/cmsutil/radius/CallingStationIdAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/CallingStationIdAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class CallingStationIdAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public CallingStationIdAttribute(byte value[]) {
         super();
         _t = CALLING_STATION_ID;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/FilterIdAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FilterIdAttribute.java
index 879d7d5c784675b1d4319998d98b58fc9926b783..c80562ea8f0f4e8b2f758f6f548daad457a8f1c2 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FilterIdAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FilterIdAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class FilterIdAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public FilterIdAttribute(byte value[]) {
         super();
         _t = CHAP_PASSWORD;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkLinkAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkLinkAttribute.java
index 05273780f8d20075b1fe3f0201e3cb969d219912..3e66120f5653fa0571c1f8f0107032f65daa265f 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkLinkAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkLinkAttribute.java
@@ -22,13 +22,11 @@ import java.io.IOException;
 public class FramedAppleTalkLinkAttribute extends Attribute {
     public static int UN_NUMBERED = 0;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedAppleTalkLinkAttribute(byte value[]) {
         super();
         _t = FRAMED_APPLETALK_LINK;
-        _value = value;
         _type = value[5] & 0xFF;
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkNetworkAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkNetworkAttribute.java
index cea0d936a135a2ef99754e1d4f4f6b9336572512..fc9a8b2f5b2de09b8bb064976ce5ce16ade9c67d 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkNetworkAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkNetworkAttribute.java
@@ -20,13 +20,11 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class FramedAppleTalkNetworkAttribute extends Attribute {
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedAppleTalkNetworkAttribute(byte value[]) {
         super();
         _t = FRAMED_APPLETALK_NETWORK;
-        _value = value;
         _type = value[5] & 0xFF;
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkZoneAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkZoneAttribute.java
index 54ee47c451f71baaee25998a0f831138f3fb6638..45011f54565902f8672a15b24cd2d0b637f7f148 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkZoneAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkZoneAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class FramedAppleTalkZoneAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public FramedAppleTalkZoneAttribute(byte value[]) {
         super();
         _t = FRAMED_APPLETALK_ZONE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedCompressionAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedCompressionAttribute.java
index b57c030b5c4725d7a57bddbb6cef9be01dc4da27..6cd3779145e387c34b90984acb10802617d9a669 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedCompressionAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedCompressionAttribute.java
@@ -25,7 +25,6 @@ public class FramedCompressionAttribute extends Attribute {
     public static final int IPX_HEADER = 2;
     public static final int STAC_LZS = 3;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedCompressionAttribute(byte value[]) {
@@ -35,7 +34,6 @@ public class FramedCompressionAttribute extends Attribute {
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedIPAddressAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedIPAddressAttribute.java
index 2f66ee8c258aaa8d809a345ee8ea0887df4c3b78..7e0b5685df0f818f84bd4f13afef701d575b19f2 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedIPAddressAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedIPAddressAttribute.java
@@ -20,7 +20,6 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class FramedIPAddressAttribute extends Attribute {
-    private byte _value[] = null;
     private byte _addr[] = new byte[4];
 
     public FramedIPAddressAttribute(byte value[]) {
@@ -30,7 +29,6 @@ public class FramedIPAddressAttribute extends Attribute {
         _addr[1] = value[3];
         _addr[2] = value[4];
         _addr[3] = value[5];
-        _value = value;
     }
 
     public byte[] getValue() throws IOException {
